Loading...
Searching...
No Matches
Dune::Exception Class Reference
Common » Exception handling

Base class for Dune-Exceptions. More...

`#include <dune/common/exceptions.hh>`

Inheritance diagram for Dune::Exception:

## Public Member Functions

| Exception ()
void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

Base class for Dune-Exceptions.

all Dune exceptions are derived from this class via trivial subclassing:

class MyException : public Dune::Exception {};
Dune::Exception
Base class for Dune-Exceptions.
Definition exceptions.hh:98

You should not `throw` a Dune::Exception directly but use the macro DUNE_THROW() instead which fills the message-buffer of the exception in a standard way and features a way to pass the result in the operator<<-style

See also
  DUNE_THROW, IOError, MathError

The documentation for this class was generated from the following files:

- exceptions.hh
- exceptions.cc